Bug 23169 - Update request: drakx-net and meta-task - iwlwifi-agn-ucode has been renamed iwlwifi-firmware
Summary: Update request: drakx-net and meta-task - iwlwifi-agn-ucode has been renamed ...
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks: 22316
  Show dependency treegraph
 
Reported: 2018-06-11 22:21 CEST by Martin Whitaker
Modified: 2018-06-14 20:15 CEST (History)
3 users (show)

See Also:
Source RPM: drakx-net, meta-task
CVE:
Status comment:


Attachments

Description Martin Whitaker 2018-06-11 22:21:48 CEST
This is one part of the fix for bug 22316, which is an installer bug. But the same issue manifests when using drakhardware (and possibly when using drakconnect for the first time, although I've not tried that).

To reproduce the bug, you will need a system with an Intel wireless device that uses the iwlwifi driver. If your system is fully updated, the iwlwifi-firmware package should be installed and the obsolete iwlwifi-agn-ucode package should not be installed.

Start drakhardware from a terminal. Before this update is applied, I expect you to see a pop-up window stating:

  The following packages need to be installed:
  iwlwifi-agn-ucode

(other packages might be listed if you haven't previously used drakhardware and installed everything it wants)

Clicking on the "Yes" button in the pop-up window will, after a flurry of activity, result in the following error message in the terminal:

Installation failed:	iwlwifi-agn-ucode <= 0:20180518-1.mga6.nonfree is obsoleted by (installed) iwlwifi-firmware-20180518-1.mga6.nonfree.noarch

but other than that, drakhardware will work as normal. However, the next time you start it, you will again be prompted to install the iwlwifi-agn-ucode package.

After the update, you should no longer be prompted to install the obsolete package.

RPMS:
drakx-net-2.32.2-1.mga6.noarch.rpm
drakx-net-applet-2.32.2-1.mga6.noarch.rpm
drakx-net-text-2.32.2-1.mga6.noarch.rpm
libdrakx-net-2.32.2-1.mga6.noarch.rpm
meta-task-6-3.1.mga6.noarch.rpm

SRPMS:
drakx-net-2.32.2-1.mga6.src.rpm
meta-task-6-3.1.mga6.src.rpm
Martin Whitaker 2018-06-11 23:04:48 CEST

Blocks: (none) => 22316

Comment 1 Herman Viaene 2018-06-13 15:01:00 CEST
MGA6-32 on IBM Thinkpad R50e
No installation issues
This laptop has Intel PW2200 chipset, using the ipw2200 driver. Forced a reconfiguration of the wifi connection: OK
So at least the update does not break another driver.

CC: (none) => herman.viaene

Comment 2 Thomas Andrews 2018-06-13 17:23:35 CEST
On an HP 6550b laptop with Intel Centrino Advanced-N 6200 wifi, which uses the driver in question:

Ran drakhardware, which asked to install four packages, including the obsolete one. Clicked on "Yes" and got the error message, with nothing installed. Closed it, went back, and once again received the installation request.

Ran MCC, installed the updates for this bug, and went back to drakhardware. This time, only three packages in the request, none of which referred to wifi, which installed without incident. Left drakhardware, then returned, with no package installation requests this time.

Looks OK on this 64-bit Plasma system. Giving it the OK, and I see no reason to wait for further tests before validating.

Whiteboard: (none) => MGA6-64-OK
CC: (none) => andrewsfarm, sysadmin-bugs
Keywords: (none) => validated_update

Comment 3 claire robinson 2018-06-14 18:04:55 CEST
Advisory created from info in comment 0. Uploaded.

Keywords: (none) => advisory

Comment 4 Mageia Robot 2018-06-14 20:15:54 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0118.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.